---
services:
  qbittorrent:
    image: lscr.io/linuxserver/qbittorrent:latest
    container_name: qbittorrent
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
      - WEBUI_PORT=8780
      - TORRENTING_PORT=6881
    volumes:
      - ./config:/config
      - /mnt/media:/downloads #optional
    ports:
      - 8780:8780
      - 6881:6881
      - 6881:6881/udp
    restart: unless-stopped